<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
                          https://maven.apache.org/xsd/settings-1.0.0.xsd">

	<localRepository>D:/maven/repository</localRepository>

	<pluginGroups>
		<pluginGroup>org.sonarsource.scanner.maven</pluginGroup>
	</pluginGroups>
	
	<profiles>
		<profile>
			<id>sonar</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<sonar.host.url>http://svn.terraria.com/sonarqube</sonar.host.url>
				<sonar.login>19686e83e5b2e1c8dfd2216a33c7d15f5fe1f915</sonar.login>
			</properties>
		</profile>
		
		<profile>
            <id>flex-mojos</id>
            <repositories>
                <repository>
                    <id>flex-mojos-repository</id>
                    <url>http://repository.sonatype.org/content/groups/flexgroup/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>false</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>flex-mojos-internal-repository</id>
                    <url>http://repository.sonatype.org/content/groups/public/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
            </repositories>
            <pluginRepositories>
                <pluginRepository>
                    <id>flex-mojos-plugin-repository</id>
                    <url>http://repository.sonatype.org/content/groups/flexgroup/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>false</enabled>
                    </snapshots>
                </pluginRepository>
                <pluginRepository>
                    <id>flex-mojos-internal-plugins-repository</id>
                    <url>http://repository.sonatype.org/content/groups/public/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
            </pluginRepositories>
        </profile>
        <profile>
            <id>maven-servebox</id>
            <pluginRepositories>
                <pluginRepository>
                    <id>servebox</id>
                    <name>ServeBox Plugin Repository</name>
                    <url>http://maven.servebox.org/repository</url>
                </pluginRepository>
            </pluginRepositories>
            <repositories>
                <repository>
                    <id>servebox</id>
                    <name>ServeBox Plugin Repository</name>
                    <url>http://maven.servebox.org/repository</url>
                </repository>
            </repositories>
        </profile>
		
	</profiles>

	<servers>
		<server>
			<id>ta-nexus</id>
			<username>jenkins</username>
			<password>jenkins</password>
		</server>
	</servers>
	
	<mirrors>
        <mirror>
            <id>mirror-maven-central</id>
            <mirrorOf>*</mirrorOf>
            <name>lispa corporate repo override for central</name>
            <url>http://10.221.208.13/nexus/content/groups/public</url>
        </mirror>
    </mirrors>

    <activeProfiles>
		<!--<activeProfile>svn</activeProfile>--> 
        <activeProfile>flex-mojos</activeProfile>
        <activeProfile>maven-servebox</activeProfile>
    </activeProfiles>


</settings>